## org.eclipse.jst.pagedesigner.converter
Class ConvertPosition

    java.lang.Object
      org.eclipse.jst.pagedesigner.converter.ConvertPosition

    public class ConvertPosition

extends java.lang.Object

This class is used to locate a position for child model nodes.

Version:
  1.5

Constructor Summary
`ConvertPosition(org.w3c.dom.Node parent, int index)`

Method Summary
`int` `getIndex()`
`org.w3c.dom.Node` `getParentNode()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConvertPosition

    public ConvertPosition(org.w3c.dom.Node parent,
                           int index)

Parameters:
  `parent` - \
  `index` -

Method Detail

### getParentNode

    public org.w3c.dom.Node getParentNode()

  Returns:
    the parent node

### getIndex

    public int getIndex()

  Returns:
    the index